com.sleepycat.persist.evolve

## Class IncompatibleClassException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.sleepycat.persist.evolve.IncompatibleClassException

All Implemented Interfaces:
  java.io.Serializable

    public class IncompatibleClassException
    extends java.lang.RuntimeException

A class has been changed incompatibly and no mutation has been configured to handle the change or a new class version number has not been assigned.

See Also:
  `EntityStore.EntityStore`, `Entity.version()`, `Persistent.version()`, `Class Evolution`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IncompatibleClassException(java.lang.String message)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IncompatibleClassException

    public IncompatibleClassException(java.lang.String message)